Bug 162479 - Please add the following VSS channels and families to RHN QA. Filename: vss-channels.cvs Revision: 61041
Please add the following VSS channels and families to RHN QA. Filename: vss-...
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Red Hat Satellite QA List
None
:
Depends On:
Blocks: 82114
  Show dependency treegraph
 
Reported: 2005-07-05 09:36 EDT by Chris Jones
Modified: 2014-01-12 20:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 11:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vss-channels.cvs - rev#61041 (7.50 KB, text/x-comma-separated-values)
2005-07-05 09:36 EDT, Chris Jones
no flags Details
HP VSS channels Committed revision 61631. (14.43 KB, text/x-comma-separated-values)
2005-07-12 14:54 EDT, Chris Jones
no flags Details

  None (edit)
Description Chris Jones 2005-07-05 09:36:12 EDT
This request is to add the Vendor Supported Software Channels to RHN/QA.  The
channel file in svn is: vss-channels.cvs
The SVN revision number is: 61041.

PLEASE NOTE: This will require creating new Channel Families.  I've placed the
family name/desc in the row immediately preceeding the new channel requests.

1. Create new channel family "rhel-vss-hp-private" - "HP Premier Software – HP
Verification Access Only"
2. Create new channel family "rhel-vss-ibm-private" - "IBM Supported Software –
IBM Verification Access Only"
3. Create new channel family "rhel-vss-dell-private" - "DELL Supported Software
– DELL Verification Access Only"
4. Create new channel family "rhel-vss-extras" – "Vendor Supported Software Extras"
Comment 1 Chris Jones 2005-07-05 09:36:14 EDT
Created attachment 116352 [details]
vss-channels.cvs - rev#61041
Comment 2 Chris MacLeod 2005-07-05 10:50:47 EDT
Channel families created.  There was a non-ascii character in the csv (the dash
in the channel names) in the future make sure it looks good through vi or
something similar and that OO isn't putting in non-ascii characters.

Channel creation failed.  You have a unique contraint violation.  Basically you
are trying to create a channel that has another field that is the same as an
existing channel.

Creating channel rhel-3-vss
  Channel rhel-3-vss membership updated
Exception caught, rolling back...
server.rhnSQL.sql_base.SQLError: (1, 'ORA-00001: unique constraint
(RHN.RHN_DCM_OS_RELEASE_CAID_UQ) violated\n', 'insert into rhnDistChannelMap
(channel_id, channel_arch_id, os, release) values (:channel_id,
:channel_arch_id, :os, :release)')

Looks like it's whatever is right after the rhel-3-vss channel (or possibly that
channel itself)

Comment 3 Chris Jones 2005-07-12 14:54:14 EDT
Created attachment 116672 [details]
HP VSS channels
Committed revision 61631.

This should create the HP only channels.
Comment 4 Chris Jones 2005-07-12 14:56:34 EDT
Please see if the HP channels will create now that I've changed up the spread sheet.

Two new families are required:
rhel-vss-hp 
rhel-vss-hp-private.

Adding channels/HP-VSS-channels.csv
Transmitting file data .
Committed revision 61631.

Comment 5 James Slagle 2005-09-26 10:22:27 EDT
I tried to push HP-VSS-channels.csv to qa, but there are still a couple issues
with this csv.

rhel-i386-3 is listed as the parent channel for some of the new channels, but
there is not channel with this label.  There is a rhel-i386-as-3, if that's the
one you want.  Same problem with rhel-x86_64-3, i think the one you want is
rhel-x86_64-as-3.

Also, I got an error indicating that some of the values for the new channels
were too large for their columns in the db.

Here are the column length limits:
 Name                    Null?    Type
 ----------------------- -------- ----------------
 ID                      NOT NULL NUMBER
 PARENT_CHANNEL                   NUMBER
 ORG_ID                           NUMBER
 LABEL                   NOT NULL VARCHAR2(128)
 BASEDIR                 NOT NULL VARCHAR2(256)
 NAME                    NOT NULL VARCHAR2(64)
 SUMMARY                 NOT NULL VARCHAR2(500)
 DESCRIPTION                      VARCHAR2(4000)
 LAST_MODIFIED           NOT NULL DATE
 CREATED                 NOT NULL DATE
 MODIFIED                NOT NULL DATE
 GPG_KEY_URL                      VARCHAR2(256)
 GPG_KEY_ID                       VARCHAR2(14)
 GPG_KEY_FP                       VARCHAR2(50)
 CHANNEL_ARCH_ID         NOT NULL NUMBER
 END_OF_LIFE                      DATE


Comment 6 James Slagle 2006-01-23 09:44:52 EST
any update on this, or can I close this out?
Comment 7 Bret McMillan 2006-05-04 11:37:37 EDT
Closing this out due to lack of updates.

Note You need to log in before you can comment on or make changes to this bug.